App::DocKnot::Command(3pm)

NAME
App::DocKnot::Command - Run DocKnot commands

SYNOPSIS
    my $docknot = App::DocKnot::Command->new();
    $docknot->run();

REQUIREMENTS
Perl 5.24 or later and the modules Date::Language, Date::Parse (both part of TimeDate), File::BaseDir, File::ShareDir, Git::Repository, Image::Size, IO::Compress::Xz (part of IO-Compress-Lzma), IO::Uncompress::Gunzip (part of IO-Compress), IPC::Run, IPC::System::Simple, JSON::MaybeXS, Kwalify, List::SomeUtils, Path::Iterator::Rule, Path::Tiny, Perl6::Slurp, Template (part of Template Toolkit), and YAML::XS, all of which are available from CPAN.

DESCRIPTION
The App::DocKnot::Command module implements the docknot command-line interface to all of the functions of DocKnot. It is an implementation detail of the docknot command-line tool and is normally only called by that program.

For full documentation, see docknot(1).

CLASS METHODS

new()
    Create a new App::DocKnot::Command object.

INSTANCE METHODS

run([ARGS])
    Run the DocKnot action specified by ARGS, which are parsed as command-line arguments to docknot. If ARGS is not given or is empty, @ARGV will be parsed instead.

AUTHOR
Russ Allbery <rra@cpan.org>

COPYRIGHT AND LICENSE
Copyright 2018-2022 Russ Allbery <rra@cpan.org>

Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the "Software"), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

SEE ALSO
docknot(1)

This module is part of the App-DocKnot distribution. The current version of DocKnot is available from CPAN, or directly from its web site at <https://www.eyrie.org/~eagle/software/docknot/>.